## ros-kinetic-frontier-exploration 0.3.1

=== debian/changelog ===
ros-kinetic-frontier-exploration (0.3.1-0xenial) xenial; urgency=high

  * Update to BSD license
  * Update LICENSE
  * [Travis config] Use Ubuntu 14.04 and test ROS I+
  * fixed wrong order of footprint coordinates (was hourglass shape)
  * Contributors: Achim Krauch, Isaac I.Y. Saito, Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 26 Oct 2016 04:00:00 -0000

ros-kinetic-frontier-exploration (0.3.0-0xenial) xenial; urgency=high

  * adjust costmap lock to new interface
  * Contributors: Michael Görner

 -- Paul Bovbel <paul@bovbel.com>  Mon, 04 May 2015 04:00:00 -0000

ros-kinetic-frontier-exploration (0.2.5-0xenial) xenial; urgency=high

  * Remove lazy initialization
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-kinetic-frontier-exploration (0.2.4-0xenial) xenial; urgency=high

  * Fix compiler optimization issue where perimeter is always 0
  * Allow empty polygon goals for unbounded exploration
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-kinetic-frontier-exploration (0.2.3-0xenial) xenial; urgency=high

  * Improve explore client user feedback
  * removed common_msgs depency
    since depending on metapackages is deprecated and all needed subpackages are included anyways
  * Add travis builds
  * Contributors: Henning Deeken, Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Feb 2015 05:00:00 -0000

ros-kinetic-frontier-exploration (0.2.2-0xenial) xenial; urgency=high

  * clean up conditionals and comments for more logical flow
  * switch to shared from raw ptr
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 13 Sep 2014 04:00:00 -0000

ros-kinetic-frontier-exploration (0.2.1-0xenial) xenial; urgency=high

  * Update example launch files
  * Update package.xml
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 15 Apr 2014 04:00:00 -0000

ros-kinetic-frontier-exploration (0.2.0-0xenial) xenial; urgency=high

  * rename test file
  * add more costmap_tools tests
  * refactor with frontier_search strategy object
  * remove calls to parent costmap instance
  * refactored to raii
  * fix gmapping compatibility using new "explore_clear_space" parameter
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 04 Apr 2014 04:00:00 -0000

ros-kinetic-frontier-exploration (0.1.9-0xenial) xenial; urgency=high

  * fix regression
  * refactor for testing
  * fix stuck movement with 0 frequency
  * new launch file examples
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 02 Apr 2014 04:00:00 -0000

ros-kinetic-frontier-exploration (0.1.8-0xenial) xenial; urgency=high

  * revert launch file to general form
  * document helper functions
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 28 Mar 2014 04:00:00 -0000

ros-kinetic-frontier-exploration (0.1.4-0xenial) xenial; urgency=high

  * fix properly transforming robot position into goal frame
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 27 Mar 2014 04:00:00 -0000

ros-kinetic-frontier-exploration (0.1.3-0xenial) xenial; urgency=high

  * revert redundant dependency
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 27 Mar 2014 04:00:00 -0000

ros-kinetic-frontier-exploration (0.1.2-0xenial) xenial; urgency=high

  * fix message dependencies
  * fix goal aliasing corner case
  * fix empty frame name
  * Update README.md
  * accomodate for empty boundaries
  * parametrize goal aliasing for redundant move base goals
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 27 Mar 2014 04:00:00 -0000

ros-kinetic-frontier-exploration (0.1.1-0xenial) xenial; urgency=high

  * fix build dependency
  * eliminate redundant move_base goal updates, fix locking
  * externalize static for geometric calculations
  * refactor action server with callbacks
  * fix pre-emption with continuous goal updating
  * implement continuous frontier/goal updating
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 26 Mar 2014 04:00:00 -0000

ros-kinetic-frontier-exploration (0.1.0-0xenial) xenial; urgency=high

  * added install target for client
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 25 Mar 2014 04:00:00 -0000

ros-kinetic-frontier-exploration (0.0.4-0xenial) xenial; urgency=high

  * remove robot specific names
  * remove raytrace and obstacle range params
  * reintroduce frontier selection parametrization
  * added client for rviz interaction via point tool
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 25 Mar 2014 04:00:00 -0000

ros-kinetic-frontier-exploration (0.0.3-0xenial) xenial; urgency=high

  * parametrize method of selecting frontier point to travel to
  * use ros msg for Frontier structure
  * remove unnecessary costmap copying
  * remove debug messages, update comments
  * update package name
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 25 Mar 2014 04:00:00 -0000

ros-kinetic-frontier-exploration (0.0.2-0xenial) xenial; urgency=high

  * fix locking issue
  * rename package
  * update dependencies
  * move sample parameters to launch file
  * remove temp files
  * refactoring
  * fix off-map error and add costmap locking
  * added resize parameter for working with external maps
  * refactor message fields
  * refactored message names
  * add resize parameter for using layer with external maps
  * refactor names
  * remove even more debug code
  * remove debug code
  * remove debug points
  * Updated maintainer info
  * Update documentation and comments
  * move test portion
  * refactor for pre-emption
  * clean up temp files
  * expanded comments, cleaned up temp files
  * Initial documentation
  * Initial commit
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 21 Mar 2014 04:00:00 -0000
